%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}
Name:          jboss-remote-naming
Version:       1.0.1
Release:       %mkrel 2
Summary:       JBoss Remote Naming
Group:         Development/Java
License:       LGPLv2+
URL:           http://www.jboss.org/
# git clone git://github.com/jbossas/jboss-remote-naming.git
# cd jboss-remote-naming/ && git archive --format=tar --prefix=jboss-remote-naming-1.0.1.Final/ 1.0.1.Final | xz > jboss-remote-naming-1.0.1.Final.tar.xz
Source0:       jboss-remote-naming-%{namedversion}.tar.xz
# from Marek Goldmann, Fedora
Patch0:        jboss-remote-naming-1.0.1.Final-remoting-3.2.2.GA.patch

BuildRequires: java-devel
BuildRequires: jboss-parent
BuildRequires: jpackage-utils

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: jboss-logging
BuildRequires: jboss-logging-tools
BuildRequires: jboss-ejb-client
BuildRequires: jboss-logmanager
BuildRequires: jboss-marshalling
BuildRequires: jboss-remoting
BuildRequires: jboss-sasl
BuildRequires: xnio

Requires:      jboss-logging
Requires:      jboss-logging-tools
Requires:      jboss-ejb-client
Requires:      jboss-logmanager
Requires:      jboss-marshalling
Requires:      jboss-remoting
Requires:      jboss-sasl
Requires:      xnio

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
Library for remote naming (JNDI) with JBoss AS.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1

%build

# Tests skipped because of the patch allowing to build against remoting 3.2.2.GA
# The tests were not updated though
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/jboss
install -pm 644 target/%{name}-%{namedversion}.jar \
  %{buildroot}%{_javadir}/jboss/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/JPP.jboss-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}

%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 355141
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 19 2012 gil <gil> 1.0.1-1.mga3
+ Revision: 210985
- imported package jboss-remote-naming

